---
title: URL.username
slug: Web/API/URL/username
tags:
  - API
  - Property
  - Reference
  - URL
  - URL API
  - username
---
<div>{{ApiRef("URL API")}}</div>

<p>The <strong><code>username</code></strong> property of the {{domxref("URL")}} interface is a {{domxref("USVString")}} containing the username specified before the domain name.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>usernameString</em> = <em>url</em>.username
<em>url</em>.username = <em>newUsername</em>
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const url = new URL('https://anonymous:flabada@developer.mozilla.org/en-US/docs/Web/API/URL/username');
console.log(url.username) // Logs "anonymous"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-url-username', 'username')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URL.username")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface it belongs to.</li>
</ul>
